Articles on: Public API

Rewards

Get customer rewards

Retrieve a list of rewards earned by a customer
GET /rest-api/v1/rewards


Query parameters


Name

Type

Description

customerIdentifier

string

Search by Shopify customer ID or customer email

page

int

Page number

pageSize

int

Number of results per page


Example request

curl --request GET \
--url 'https://api.bloy.io/rest-api/v1/rewards?customerIdentifier=customer@example.com&page=1&pageSize=20' \
--header 'Authorization: Bearer YourApiKeyGoesHere'


Example response

{
"success": true,
"message": "OK",
"rewards": [
{
"_id": "664f1a2b3c4d5e6f7a8b9c20",
"discountCodeId": "gid://shopify/DiscountCodeNode/123456789",
"discountCode": "BLOY-AB12CD34",
"description": "$5 Off",
"discountValue": 5,
"redeemType": "amount",
"status": "available",
"createdByModule": "publicApi",
"createdAt": "2026-06-08T07:30:00.000Z",
"updatedAt": "2026-06-08T07:30:00.000Z"
}
]
}


**Note: **redeemType can be one of: amountpercentageshippingfree_productstore_credit. If no customer matches customerIdentifier, the API returns "rewards": [] instead of a 404 error.

Updated on: 11/06/2026

Was this article helpful?

Share your feedback

Cancel

Thank you!